> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Status

> Retrieve the status of a business search by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /searches/{id}/status
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /searches/{id}/status:
    get:
      tags:
        - Search
      summary: Get Task Status
      description: Retrieve the status of a business search by ID.
      operationId: get_task_status_searches__id__status_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Search ID
            description: The unique identifier of the search to retrieve the status for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the search to retrieve the status for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.BusinessSearchStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.BusinessSearchStatusResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the business search.
        state:
          $ref: '#/components/schemas/TaskState'
          description: The current state of the business search.
          examples:
            - COMPLETED
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Any errors that occurred.
          examples:
            - RuntimeError The Business Search could not be completed.
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          description: Any warnings that occurred.
          default: []
          examples:
            - - IRS Validation is unavailable.
        business_url:
          anyOf:
            - format: uri
              maxLength: 2083
              minLength: 1
              type: string
            - type: 'null'
          title: Business Url
          description: The API URL to retrieve the business details.
          examples:
            - >-
              https://api.baselayer.com/businesses/ae752082-1f7e-11ef-b572-1edb1b067314
        console_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Console Url
          description: The URL to the business search details in the console.
          examples:
            - >-
              https://console.baselayer.com/search/c06777fe-1f7e-11ef-af7e-1edb1b067314
      type: object
      required:
        - id
        - state
        - console_url
      title: BusinessSearchStatusResponse (v1)
      description: Represents a business search status response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````